/* $Id: shell_utils.h 214 2008-10-08 20:29:29Z dbader $
      _   _  ____   _____
     | | (_)/ __ \ / ____|
  ___| |_ _| |  | | (___
 / _ \ __| | |  | |\___ \  Copyright 2008 Daniel Bader, Vincenz Doelle,
|  __/ |_| | |__| |____) |        Johannes Schamburger, Dmitriy Traytel
 \___|\__|_|\____/|_____/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * @file
 * Shell utility functions.
 *
 * @author Daniel Bader
 * @author $LastChangedBy: dbader $
 * @version $Rev: 214 $
 */

#ifndef __SHELL_UTILS_H
#define __SHELL_UTILS_H

extern int STDIN;
extern int STDOUT;

int _fputch(char ch, int fd);
int _fgetch(int fd);
char* _fgets(char *s, int n, int fd);
int _fputs(char *s, int fd);
void _printf(char *fmt, ...);
char* shell_makepath(char *path);

#endif /* __SHELL_UTILS_H */
